// WizCopyMission.cpp : implementation file
//

#include "stdafx.h"
#include "contenttrack.h"
#include "mainfrm.h"
#include "WizCopyMission.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CWizCopyMission

IMPLEMENT_DYNAMIC(CWizCopyMission, CPropertySheet)

CWizCopyMission::CWizCopyMission(UINT nIDCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(nIDCaption, pParentWnd, iSelectPage)
{
}

CWizCopyMission::CWizCopyMission(LPCTSTR pszCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(pszCaption, pParentWnd, iSelectPage)
{
}

CWizCopyMission::~CWizCopyMission()
{
}


BEGIN_MESSAGE_MAP(CWizCopyMission, CPropertySheet)
	//{{AFX_MSG_MAP(CWizCopyMission)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CWizCopyMission message handlers

BOOL CWizCopyMission::OnInitDialog() 
{
	BOOL bResult = CPropertySheet::OnInitDialog();

	CFrameWnd *pFrame = GetParentFrame();
	CMainFrame *pMainFrame = (CMainFrame *)pFrame;
	CDocument *pDoc = pMainFrame->MDIGetActive()->GetActiveDocument();
	m_pSrcDoc = (CNodeDataValueFileDoc *)pDoc;

	m_pDstDoc = NULL;
	m_bRename = false;

	return bResult;
}
